Bug 126722 - gvim entry in gnome-vfs.applications incorrect
Summary: gvim entry in gnome-vfs.applications incorrect
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-mime-data (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-25 11:40 UTC by Neil Bird
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 22:14:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neil Bird 2004-06-25 11:40:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-GB; rv:1.8a1)
Gecko/20040520

Description of problem:
The 'name' & 'command' fields for 'gvim's entry in
gnome-vfs.applications are inverted, making relevant app. menus ugly,
and when gvim *is* launched, the working directory is not set (remains ~).

This has been fixed up-stream in CVS, but could do with a patch on top
of FC1/FC2's RPMs until it's incorporated.


Version-Release number of selected component (if applicable):
2.4.0-2

How reproducible:
Always

Steps to Reproduce:
1. Edit /usr/share/gnome-vfs.applications
2. Find 'gvim's entry
3. There ya go.
    

Actual Results:  gvim
	command=gvim
	name=gvim -c ":cd %:p:h"
	can_open_multiple_files=false
	expects_uris=false
	requires_terminal=false
	mime_types=text/*,text/plain,text/x-c,text/x-objc,text/x-c++,text/x-c-header,text/x-perl

Expected Results:  gvim
	command=gvim -c ":cd %:p:h"
	name=gvim
	can_open_multiple_files=false
	expects_uris=false
	requires_terminal=false
	mime_types=text/*,text/plain,text/x-c,text/x-objc,text/x-c++,text/x-c-header,text/x-perl

Additional info:

Comment 1 Ray Strode [halfline] 2005-05-11 22:14:16 UTC
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.


Note You need to log in before you can comment on or make changes to this bug.